import { E as e, Q as t } from "./vue.runtime.esm-bundler-DpvJL-nX.js";
import { O as n, n as r, w as i } from "./dist-e0ylhlSV.js";
import { _ as a, v as o, x as s, y as c } from "./keys-BeW4IrXP.js";
//#region src/composables/useMergeTag.ts
function l() {
	let l = e(a, []), u = e(c, r.liquid), d = e(s, null), f = e(o, !0), p = t(!1);
	function m(e) {
		return n(e, u);
	}
	function h(e) {
		return i(e, l);
	}
	async function g() {
		if (!d) return null;
		p.value = !0;
		try {
			return await d();
		} finally {
			p.value = !1;
		}
	}
	return {
		mergeTags: l,
		isRequesting: p,
		canRequestMergeTag: !!d,
		autocomplete: f,
		syntax: u,
		isMergeTagValue: m,
		getMergeTagLabel: h,
		requestMergeTag: g
	};
}
//#endregion
export { l as t };
